Bug 751889 - CVE-2011-4115 perl-Parallel-ForkManager: insecure temporary file usage [epel-6]
Summary: CVE-2011-4115 perl-Parallel-ForkManager: insecure temporary file usage [epel-6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Parallel-ForkManager
Version: el6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=siddhesh
Depends On:
Blocks: CVE-2011-4115
TreeView+ depends on / blocked
 
Reported: 2011-11-07 22:26 UTC by Vincent Danen
Modified: 2018-08-06 22:49 UTC (History)
3 users (show)

Fixed In Version: perl-Parallel-ForkManager-1.20-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-06 22:49:46 UTC
Type: ---


Attachments (Terms of Use)

Description Vincent Danen 2011-11-07 22:26:22 UTC
epel-6 tracking bug for perl-Parallel-ForkManager: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]

Comment 1 Siddhesh Poyarekar 2014-11-01 08:24:03 UTC
Upstream bug report indicates that this should be fixed in 1.0.0 and newer.  Is the fix going to be backported to epel6?

Comment 2 Jason Tibbitts 2016-03-31 23:17:37 UTC
I'm the Fedora maintainer of this module.  I didn't really want to get involved with the EPEL branches but I'm tired of looking at this security bug and it hapens to be assigned to someone who isn't involved with the package at all.

I'm going to reassign to jehane in the hopes that he has some interest in the el6 branch.  I'm not interested in doing backpports; the only thing I would do is to pull the current Fedora version down to the EPEL branches.  That isn't trivial because it now needs utf8::all which is in EPEL7 but not 6 or 5.

Comment 3 Jason Tibbitts 2018-07-20 17:49:32 UTC
Still really tired of seeing this seven year old bug, so I'm just going to update the package in EPEL6.

You can't actually run the test suite in EL6 because the version of Test::More is too old.  I solved that by including a newer copy directly in this package.  It's only used for testing and isn't installed.

To my knowledge the current version of Parallel::ForkManager is compatible with the old version as long as you aren't using it in a way which was inherently insecure (relying on that predictably-named tempfile).  So this shouldn't cause any problems for anything which depends on it (which is just some bits of fusioninventory).  If it does, I guess we can deal with it at that time.

Comment 4 Fedora Update System 2018-07-20 17:53:17 UTC
perl-Parallel-ForkManager-1.20-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b4f8d828cd

Comment 5 Fedora Update System 2018-07-22 00:34:25 UTC
perl-Parallel-ForkManager-1.20-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b4f8d828cd

Comment 6 Fedora Update System 2018-08-06 22:49:46 UTC
perl-Parallel-ForkManager-1.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.